Status of the alerts
Default: unresolved
Possible values:
all
resolved
unresolved
from
int
Start date of the filter, by the form of milliseconds number from 1st of January 1970 00:00:00 UTC.
until
int
End date of the filter, by the form of milliseconds number from 1st of January 1970 00:00:00 UTC.
page
number
Page of the alerts.
Default: 1
include_comments
boolean
Parameter to request information about the comments associated with the alerts.
Default: false
Possible values:
true
false
Label
id: id of the alert.
id_validation: id of the validation.
name: name of the identifiable person.
birth_date: birth date of the identifiable person.
id_country_nationality: code of the nationality country in the format ISO 3166-1 alpha-2.
added_at: date when the alert was generated, by the form of milliseconds number from 1st of January 1970 00:00:00 UTC.
resolved_at: date when the alert was resolved, by the form of milliseconds number from 1st of January 1970 00:00:00 UTC.
resolved_by: user that resolved the alert.
status: status of the alert.
reason: reason for creating the alert.
country_nationality: country of nationality.
comments: comments associated with the alert.
id: id of the comment.
comment: comment.
Add validation
POSThttps://www.pepdata.com/api/add_validation
Endpoint to add a validation.
Headers
Name
Type
Description
Authorization*
string
key [API_KEY]
Request Body
Name
Type
Description
ignore_duplicates
boolean
Instruction to ignore the verification of duplicates.
Format: 0/1
Default: 0
name*
string
Name of the validation
birth_date
string
Birth date of the validation.
Format: yyyy-mm-dd
Default: null
country_nationality
string
Country of nationality of the validation.
Parameter used only in individual validations.
Format: Name of the country (see note bellow)
Default: null
id_custom
string
Custom Id of the validation.
Default: null
country_residence
string
Country of residence of the validation.
Parameter used only in person validations.
Format: Name of the country (see note bellow)
Default: null
vatin
string
Vat number of the validation
Default: null
type
string
Type of entity, that could be: "individual" or "organization"
Default: "individual"
country
string
Country of the validation.
Parameter used only in organizations validations.
Format: Name of the country (see note bellow)
Default: null
Label
id: id od the created validation.
country_nationality, country_residence and country
There are multiple different ways to write the name of each country. The PEPData application can identify all the names of countries present in the Lista dos Estados, territórios e moedas da União Europeia. However, in order to ensure greater robustness, we recommend using the ISO 3166-1 alpha-2 format whenever possible.
Vat number of the validation from which the relationship will be created. It must be an organization validation.
vat_number*
string
Vat number of the validation to which the relationship will be created. It must be a person validation if the relationship type is representative, manager or beneficial_owner.
{
"message": "This validation appears to already exist in the database",
"version": 0.1,
"timestamp": 1696943296957
}
{
"message": {
"version": 0.1,
"timestamp": 1697017288510,
"message": "Name is invalid. Please provide a name: • With only Latin characters, apostrophes, spaces, dots or hyphens;"
}
}